Aggregate events
curl --request POST \
--url https://api.example.com/events/aggregate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filters": {
"from": "2023-12-25",
"to": "2023-12-25"
},
"searchEvents": {
"sources": [
"custom",
"api"
],
"githubSourceRepos": [],
"search": ""
},
"bookmarkedEvents": []
}
'import requests
url = "https://api.example.com/events/aggregate"
payload = {
"filters": {
"from": "2023-12-25",
"to": "2023-12-25"
},
"searchEvents": {
"sources": ["custom", "api"],
"githubSourceRepos": [],
"search": ""
},
"bookmarkedEvents": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filters: {from: '2023-12-25', to: '2023-12-25'},
searchEvents: {sources: ['custom', 'api'], githubSourceRepos: [], search: ''},
bookmarkedEvents: []
})
};
fetch('https://api.example.com/events/aggregate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/events/aggregate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filters' => [
'from' => '2023-12-25',
'to' => '2023-12-25'
],
'searchEvents' => [
'sources' => [
'custom',
'api'
],
'githubSourceRepos' => [
],
'search' => ''
],
'bookmarkedEvents' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/events/aggregate"
payload := strings.NewReader("{\n \"filters\": {\n \"from\": \"2023-12-25\",\n \"to\": \"2023-12-25\"\n },\n \"searchEvents\": {\n \"sources\": [\n \"custom\",\n \"api\"\n ],\n \"githubSourceRepos\": [],\n \"search\": \"\"\n },\n \"bookmarkedEvents\": []\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/events/aggregate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"filters\": {\n \"from\": \"2023-12-25\",\n \"to\": \"2023-12-25\"\n },\n \"searchEvents\": {\n \"sources\": [\n \"custom\",\n \"api\"\n ],\n \"githubSourceRepos\": [],\n \"search\": \"\"\n },\n \"bookmarkedEvents\": []\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/events/aggregate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"filters\": {\n \"from\": \"2023-12-25\",\n \"to\": \"2023-12-25\"\n },\n \"searchEvents\": {\n \"sources\": [\n \"custom\",\n \"api\"\n ],\n \"githubSourceRepos\": [],\n \"search\": \"\"\n },\n \"bookmarkedEvents\": []\n}"
response = http.request(request)
puts response.read_body{
"technicalEvents": [
{
"date": "<string>",
"events": [
{
"source": "custom",
"metadata": {},
"name": "<string>",
"date": "2023-11-07T05:31:56Z",
"description": "<string>",
"tags": [
"<string>"
],
"viewUsedForCreation": {
"metricId": "<string>",
"limit": 123,
"aggBy": "Hour",
"groupBy": "<string>",
"from": "<string>",
"to": "<string>",
"datePreset": "TRAILING_30_DAYS",
"previousFrom": "<string>",
"previousTo": "<string>",
"whereClause": {},
"currency": "USD",
"threshold": 123,
"explorerChartType": "BAR",
"bookmarkedEvents": [
"<string>"
],
"eventsFilter": {
"sources": [
"custom",
"api"
],
"githubSourceRepos": [],
"search": ""
},
"scopeId": "<string>"
},
"id": "<string>",
"scopeId": "<string>",
"createdBy": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>"
}
}
]
}
],
"businessEvents": [
{
"date": "<string>",
"events": [
{
"source": "custom",
"metadata": {},
"name": "<string>",
"date": "2023-11-07T05:31:56Z",
"description": "<string>",
"tags": [
"<string>"
],
"viewUsedForCreation": {
"metricId": "<string>",
"limit": 123,
"aggBy": "Hour",
"groupBy": "<string>",
"from": "<string>",
"to": "<string>",
"datePreset": "TRAILING_30_DAYS",
"previousFrom": "<string>",
"previousTo": "<string>",
"whereClause": {},
"currency": "USD",
"threshold": 123,
"explorerChartType": "BAR",
"bookmarkedEvents": [
"<string>"
],
"eventsFilter": {
"sources": [
"custom",
"api"
],
"githubSourceRepos": [],
"search": ""
},
"scopeId": "<string>"
},
"id": "<string>",
"scopeId": "<string>",
"createdBy": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>"
}
}
]
}
],
"providerEvents": [
{
"date": "<string>",
"events": [
{
"source": "custom",
"metadata": {},
"name": "<string>",
"date": "2023-11-07T05:31:56Z",
"description": "<string>",
"tags": [
"<string>"
],
"viewUsedForCreation": {
"metricId": "<string>",
"limit": 123,
"aggBy": "Hour",
"groupBy": "<string>",
"from": "<string>",
"to": "<string>",
"datePreset": "TRAILING_30_DAYS",
"previousFrom": "<string>",
"previousTo": "<string>",
"whereClause": {},
"currency": "USD",
"threshold": 123,
"explorerChartType": "BAR",
"bookmarkedEvents": [
"<string>"
],
"eventsFilter": {
"sources": [
"custom",
"api"
],
"githubSourceRepos": [],
"search": ""
},
"scopeId": "<string>"
},
"id": "<string>",
"scopeId": "<string>",
"createdBy": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>"
}
}
]
}
],
"bookmarkedSearchEvents": {
"sources": [
"custom",
"api"
],
"githubSourceRepos": [],
"search": ""
}
}{
"error": "<string>"
}Events
Aggregate events
POST
/
events
/
aggregate
Aggregate events
curl --request POST \
--url https://api.example.com/events/aggregate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filters": {
"from": "2023-12-25",
"to": "2023-12-25"
},
"searchEvents": {
"sources": [
"custom",
"api"
],
"githubSourceRepos": [],
"search": ""
},
"bookmarkedEvents": []
}
'import requests
url = "https://api.example.com/events/aggregate"
payload = {
"filters": {
"from": "2023-12-25",
"to": "2023-12-25"
},
"searchEvents": {
"sources": ["custom", "api"],
"githubSourceRepos": [],
"search": ""
},
"bookmarkedEvents": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filters: {from: '2023-12-25', to: '2023-12-25'},
searchEvents: {sources: ['custom', 'api'], githubSourceRepos: [], search: ''},
bookmarkedEvents: []
})
};
fetch('https://api.example.com/events/aggregate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/events/aggregate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filters' => [
'from' => '2023-12-25',
'to' => '2023-12-25'
],
'searchEvents' => [
'sources' => [
'custom',
'api'
],
'githubSourceRepos' => [
],
'search' => ''
],
'bookmarkedEvents' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/events/aggregate"
payload := strings.NewReader("{\n \"filters\": {\n \"from\": \"2023-12-25\",\n \"to\": \"2023-12-25\"\n },\n \"searchEvents\": {\n \"sources\": [\n \"custom\",\n \"api\"\n ],\n \"githubSourceRepos\": [],\n \"search\": \"\"\n },\n \"bookmarkedEvents\": []\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/events/aggregate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"filters\": {\n \"from\": \"2023-12-25\",\n \"to\": \"2023-12-25\"\n },\n \"searchEvents\": {\n \"sources\": [\n \"custom\",\n \"api\"\n ],\n \"githubSourceRepos\": [],\n \"search\": \"\"\n },\n \"bookmarkedEvents\": []\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/events/aggregate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"filters\": {\n \"from\": \"2023-12-25\",\n \"to\": \"2023-12-25\"\n },\n \"searchEvents\": {\n \"sources\": [\n \"custom\",\n \"api\"\n ],\n \"githubSourceRepos\": [],\n \"search\": \"\"\n },\n \"bookmarkedEvents\": []\n}"
response = http.request(request)
puts response.read_body{
"technicalEvents": [
{
"date": "<string>",
"events": [
{
"source": "custom",
"metadata": {},
"name": "<string>",
"date": "2023-11-07T05:31:56Z",
"description": "<string>",
"tags": [
"<string>"
],
"viewUsedForCreation": {
"metricId": "<string>",
"limit": 123,
"aggBy": "Hour",
"groupBy": "<string>",
"from": "<string>",
"to": "<string>",
"datePreset": "TRAILING_30_DAYS",
"previousFrom": "<string>",
"previousTo": "<string>",
"whereClause": {},
"currency": "USD",
"threshold": 123,
"explorerChartType": "BAR",
"bookmarkedEvents": [
"<string>"
],
"eventsFilter": {
"sources": [
"custom",
"api"
],
"githubSourceRepos": [],
"search": ""
},
"scopeId": "<string>"
},
"id": "<string>",
"scopeId": "<string>",
"createdBy": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>"
}
}
]
}
],
"businessEvents": [
{
"date": "<string>",
"events": [
{
"source": "custom",
"metadata": {},
"name": "<string>",
"date": "2023-11-07T05:31:56Z",
"description": "<string>",
"tags": [
"<string>"
],
"viewUsedForCreation": {
"metricId": "<string>",
"limit": 123,
"aggBy": "Hour",
"groupBy": "<string>",
"from": "<string>",
"to": "<string>",
"datePreset": "TRAILING_30_DAYS",
"previousFrom": "<string>",
"previousTo": "<string>",
"whereClause": {},
"currency": "USD",
"threshold": 123,
"explorerChartType": "BAR",
"bookmarkedEvents": [
"<string>"
],
"eventsFilter": {
"sources": [
"custom",
"api"
],
"githubSourceRepos": [],
"search": ""
},
"scopeId": "<string>"
},
"id": "<string>",
"scopeId": "<string>",
"createdBy": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>"
}
}
]
}
],
"providerEvents": [
{
"date": "<string>",
"events": [
{
"source": "custom",
"metadata": {},
"name": "<string>",
"date": "2023-11-07T05:31:56Z",
"description": "<string>",
"tags": [
"<string>"
],
"viewUsedForCreation": {
"metricId": "<string>",
"limit": 123,
"aggBy": "Hour",
"groupBy": "<string>",
"from": "<string>",
"to": "<string>",
"datePreset": "TRAILING_30_DAYS",
"previousFrom": "<string>",
"previousTo": "<string>",
"whereClause": {},
"currency": "USD",
"threshold": 123,
"explorerChartType": "BAR",
"bookmarkedEvents": [
"<string>"
],
"eventsFilter": {
"sources": [
"custom",
"api"
],
"githubSourceRepos": [],
"search": ""
},
"scopeId": "<string>"
},
"id": "<string>",
"scopeId": "<string>",
"createdBy": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>"
}
}
]
}
],
"bookmarkedSearchEvents": {
"sources": [
"custom",
"api"
],
"githubSourceRepos": [],
"search": ""
}
}{
"error": "<string>"
}Authorizations
Send Authorization: Bearer <credential> using either a Clerk session JWT or a Clerk API key (ak_*). API keys may identify a user (user_*) or organization (org_*) principal and are generated in the Clerk Dashboard under API keys.
Body
application/json
Was this page helpful?
